# This repository contains my attempt at the following exercise

---

## Introduction to Artificial Intelligence

## Laboratory 2

### Exercise 1 Genetic Algorithm

Implement a genetic algorithm to schedule jobs using available resources, so that the time to finish all tasks is minimal. Test your algorithm using different parameters and analyse the results. The data is in a separate excel files – each task has the resource (R) and time needed using this resource (T) in a specific order. You cannot change the order of operations within the task.

### Exercise 2 PSO

Implement the Particle Swarm Optimisation algorithm to find the minimum of the following function:

f(x,y) = (1.5 – x -xy)^2 + (2.25 – x + xy^2)^2 + (2.625 – x + xy^3)^2 for x,y in range <-4.5, 4.5>

Test your algorithm using different parameters and analyse the results.

